<?php defined('ABSPATH') or die('No script kiddies please!');
/*
  Plugin Name: Everest Google Places Reviews
  Plugin URI:  https://accesspressthemes.com/wordpress-plugins/everest-google-places-reviews/
  Description: Showcase Your Google Places / Business Review with attractive template layouts.
  Version:     2.0.9
  Author:      AccessPress Themes
  Author URI:  http://accesspressthemes.com
  License:     GPLv2 or later
  License URI: https://www.gnu.org/licenses/gpl-2.0.html
  Domain Path: /languages
  Text Domain: everest-google-places-reviews
 */
defined('EGPR_VERSION') or define('EGPR_VERSION', '2.0.9'); 
defined('EGPR_TITLE') or define('EGPR_TITLE', 'Everest Google Places Reviews'); 
defined('EGPR_TD') or define('EGPR_TD', 'everest-google-places-reviews'); 
defined('EGPR_CSS_PREFIX') or define('EGPR_CSS_PREFIX', 'egpr-'); 
defined('EGPR_BACKEND_IMG_DIR') or define('EGPR_BACKEND_IMG_DIR', plugin_dir_url(__FILE__) . 'assets/backend/images/'); 
defined('EGPR_FRONTEND_IMG_DIR') or define('EGPR_FRONTEND_IMG_DIR', plugin_dir_url(__FILE__) . 'assets/frontend/images/'); 
defined('EGPR_BACKEND_JS_DIR') or define('EGPR_BACKEND_JS_DIR', plugin_dir_url(__FILE__) . 'assets/backend/js/');
defined('EGPR_FRONTEND_JS_DIR') or define('EGPR_FRONTEND_JS_DIR', plugin_dir_url(__FILE__) . 'assets/frontend/js/');
defined('EGPR_BACKEND_CSS_DIR') or define('EGPR_BACKEND_CSS_DIR', plugin_dir_url(__FILE__) . 'assets/backend/css/'); 
defined('EGPR_FRONTEND_CSS_DIR') or define('EGPR_FRONTEND_CSS_DIR', plugin_dir_url(__FILE__) . 'assets/frontend/css/'); 
defined('EGPR_PATH') or define('EGPR_PATH', plugin_dir_path(__FILE__));
defined('EGPR_URL') or define('EGPR_URL', plugin_dir_url(__FILE__)); 
/**
 * Main Class
 */
include(EGPR_PATH . '/classes/class-egpr-library.php'); 
if (!class_exists('EGPR_Class')) {

    class EGPR_Class extends EGPR_Library{

        var $egpr_settings;

        function __construct() {
            $this->egp_reviews = get_option('egp_reviews');
            $this->includes();
        }
        
         /**
         * Includes all the necessary files
         *
         * @since 1.0.0
         */
        public function includes(){
            include(EGPR_PATH . '/classes/class-egpr-enqueue.php');            
            include(EGPR_PATH . '/classes/class-egpr-activation.php'); 
            include(EGPR_PATH . '/classes/class-egpr-register-postypes.php'); 
            include(EGPR_PATH . '/classes/class-egpr-shortcodes.php');
            include(EGPR_PATH . '/classes/class-register-widget.php'); 
            include(EGPR_PATH . '/classes/class-egpr-model.php'); 
            include(EGPR_PATH . '/classes/class-egpr-api-settings.php'); 
        }

    }

    $egpr_object = new EGPR_Class();
}